comparison configure @ 90918:e9f94688a064

Merge from emacs--devo--0 Patches applied: * emacs--devo--0 (patch 781-792) - Update from CVS - Merge from gnus--rel--5.10 - Merge from emacs--rel--22 * emacs--rel--22 (patch 33-41) * gnus--rel--5.10 (patch 226-228) - Update from CVS Revision: emacs@sv.gnu.org/emacs--unicode--0--patch-219
author Miles Bader <miles@gnu.org>
date Mon, 11 Jun 2007 00:58:11 +0000
parents 31beec9ee600 c6ff99338f6b
children 3619e7770f2e
comparison
equal deleted inserted replaced
90917:9f1c3e957d3e 90918:e9f94688a064
410 exitcode=1 410 exitcode=1
411 echo positional parameters were not saved. 411 echo positional parameters were not saved.
412 fi 412 fi
413 413
414 test \$exitcode = 0") || { 414 test \$exitcode = 0") || {
415 echo No shell found that supports shell functions. 415 echo Please tell bug-autoconf@gnu.org about your system,
416 echo Please tell autoconf@gnu.org about your system, 416 echo including any error possibly output before this message.
417 echo including any error possibly output before this 417 echo This can help us improve future autoconf versions.
418 echo message 418 echo Configuration will now proceed without shell functions.
419 } 419 }
420 420
421 421
422 422
423 as_lineno_1=$LINENO 423 as_lineno_1=$LINENO
1899 1899
1900 1900
1901 # Check whether --with-x-toolkit was given. 1901 # Check whether --with-x-toolkit was given.
1902 if test "${with_x_toolkit+set}" = set; then 1902 if test "${with_x_toolkit+set}" = set; then
1903 withval=$with_x_toolkit; case "${withval}" in 1903 withval=$with_x_toolkit; case "${withval}" in
1904 y | ye | yes ) val=athena ;; 1904 y | ye | yes ) val=gtk ;;
1905 n | no ) val=no ;; 1905 n | no ) val=no ;;
1906 l | lu | luc | luci | lucid ) val=lucid ;; 1906 l | lu | luc | luci | lucid ) val=lucid ;;
1907 a | at | ath | athe | athen | athena ) val=athena ;; 1907 a | at | ath | athe | athen | athena ) val=athena ;;
1908 m | mo | mot | moti | motif ) val=motif ;; 1908 m | mo | mot | moti | motif ) val=motif ;;
1909 g | gt | gtk ) val=gtk ;; 1909 g | gt | gtk ) val=gtk ;;
1910 * ) 1910 * )
1911 { { echo "$as_me:$LINENO: error: \`--with-x-toolkit=$withval' is invalid\; 1911 { { echo "$as_me:$LINENO: error: \`--with-x-toolkit=$withval' is invalid\;
1912 this option's value should be \`yes', \`no', \`lucid', \`athena', \`motif' or \`gtk'. 1912 this option's value should be \`yes', \`no', \`lucid', \`athena', \`motif' or \`gtk'.
1913 Currently, \`yes', \`athena' and \`lucid' are synonyms." >&5 1913 Currently, \`yes' and \`gtk', and \`athena' and \`lucid' are synonyms." >&5
1914 echo "$as_me: error: \`--with-x-toolkit=$withval' is invalid\; 1914 echo "$as_me: error: \`--with-x-toolkit=$withval' is invalid\;
1915 this option's value should be \`yes', \`no', \`lucid', \`athena', \`motif' or \`gtk'. 1915 this option's value should be \`yes', \`no', \`lucid', \`athena', \`motif' or \`gtk'.
1916 Currently, \`yes', \`athena' and \`lucid' are synonyms." >&2;} 1916 Currently, \`yes' and \`gtk', and \`athena' and \`lucid' are synonyms." >&2;}
1917 { (exit 1); exit 1; }; } 1917 { (exit 1); exit 1; }; }
1918 ;; 1918 ;;
1919 esac 1919 esac
1920 with_x_toolkit=$val 1920 with_x_toolkit=$val
1921 1921
3030 NON_GNU_CPP=/usr/ccs/lib/cpp 3030 NON_GNU_CPP=/usr/ccs/lib/cpp
3031 RANLIB="ar -ts" 3031 RANLIB="ar -ts"
3032 ;; 3032 ;;
3033 *-sunos5* | *-solaris* ) 3033 *-sunos5* | *-solaris* )
3034 opsys=sol2-6 3034 opsys=sol2-6
3035 ## FIXME: make this into a proper fix that checks the compiler type, 3035 emacs_check_sunpro_c=yes
3036 ## rather than relying on path. Or is /usr/ccs/lib/cpp a bad default now? 3036 NON_GNU_CPP=/usr/ccs/lib/cpp
3037 if [ "x$CC" = x/opt/SUNWspro/bin/cc ]; then
3038 ## -Xs prevents spurious whitespace.
3039 NON_GNU_CPP="/opt/SUNWspro/bin/cc -E -Xs"
3040 else
3041 NON_GNU_CPP=/usr/ccs/lib/cpp
3042 fi
3043 ;; 3037 ;;
3044 * ) opsys=bsd4-2 ;; 3038 * ) opsys=bsd4-2 ;;
3045 esac 3039 esac
3046 ## Watch out for a compiler that we know will not work. 3040 ## Watch out for a compiler that we know will not work.
3047 case "${canonical}" in 3041 case "${canonical}" in
4193 # On Suns, sometimes $CPP names a directory. 4187 # On Suns, sometimes $CPP names a directory.
4194 if test -n "$CPP" && test -d "$CPP"; then 4188 if test -n "$CPP" && test -d "$CPP"; then
4195 CPP= 4189 CPP=
4196 fi 4190 fi
4197 4191
4192 ## If not using gcc, and on Solaris, and no CPP specified, see if
4193 ## using a Sun compiler, which needs -Xs to prevent whitespace.
4194 if test x"$GCC" != xyes && test x"$emacs_check_sunpro_c" = xyes && \
4195 test x"$CPP" = x; then
4196 { echo "$as_me:$LINENO: checking whether we are using a Sun C compiler" >&5
4197 echo $ECHO_N "checking whether we are using a Sun C compiler... $ECHO_C" >&6; }
4198
4199 if test "${emacs_cv_sunpro_c+set}" = set; then
4200 echo $ECHO_N "(cached) $ECHO_C" >&6
4201 else
4202 cat >conftest.$ac_ext <<_ACEOF
4203 /* confdefs.h. */
4204 _ACEOF
4205 cat confdefs.h >>conftest.$ac_ext
4206 cat >>conftest.$ac_ext <<_ACEOF
4207 /* end confdefs.h. */
4208
4209 int
4210 main ()
4211 {
4212 #ifndef __SUNPRO_C
4213 fail;
4214 #endif
4215
4216 ;
4217 return 0;
4218 }
4219 _ACEOF
4220 rm -f conftest.$ac_objext conftest$ac_exeext
4221 if { (ac_try="$ac_link"
4222 case "(($ac_try" in
4223 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4224 *) ac_try_echo=$ac_try;;
4225 esac
4226 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4227 (eval "$ac_link") 2>conftest.er1
4228 ac_status=$?
4229 grep -v '^ *+' conftest.er1 >conftest.err
4230 rm -f conftest.er1
4231 cat conftest.err >&5
4232 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4233 (exit $ac_status); } && {
4234 test -z "$ac_c_werror_flag" ||
4235 test ! -s conftest.err
4236 } && test -s conftest$ac_exeext &&
4237 $as_test_x conftest$ac_exeext; then
4238 emacs_cv_sunpro_c=yes
4239 else
4240 echo "$as_me: failed program was:" >&5
4241 sed 's/^/| /' conftest.$ac_ext >&5
4242
4243 emacs_cv_sunpro_c=no
4244 fi
4245
4246 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
4247 conftest$ac_exeext conftest.$ac_ext
4248 fi
4249
4250 { echo "$as_me:$LINENO: result: $emacs_cv_sunpro_c" >&5
4251 echo "${ECHO_T}$emacs_cv_sunpro_c" >&6; }
4252
4253 if test x"$emacs_cv_sunpro_c" = xyes; then
4254 NON_GNU_CPP="$CC -E -Xs"
4255 fi
4256 fi
4257
4198 #### Some systems specify a CPP to use unless we are using GCC. 4258 #### Some systems specify a CPP to use unless we are using GCC.
4199 #### Now that we know whether we are using GCC, we can decide whether 4259 #### Now that we know whether we are using GCC, we can decide whether
4200 #### to use that one. 4260 #### to use that one.
4201 if test "x$NON_GNU_CPP" != x && test x$GCC != xyes && test "x$CPP" = x 4261 if test "x$NON_GNU_CPP" != x && test x$GCC != xyes && test "x$CPP" = x
4202 then 4262 then
4219 4279
4220 if test x$GCC = x && test "x$NON_GCC_TEST_OPTIONS" != x 4280 if test x$GCC = x && test "x$NON_GCC_TEST_OPTIONS" != x
4221 then 4281 then
4222 CC="$CC $NON_GCC_TEST_OPTIONS" 4282 CC="$CC $NON_GCC_TEST_OPTIONS"
4223 fi 4283 fi
4224
4225 4284
4226 ac_ext=c 4285 ac_ext=c
4227 ac_cpp='$CPP $CPPFLAGS' 4286 ac_cpp='$CPP $CPPFLAGS'
4228 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 4287 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4229 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 4288 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
9537 athena | lucid ) USE_X_TOOLKIT=LUCID ;; 9596 athena | lucid ) USE_X_TOOLKIT=LUCID ;;
9538 motif ) USE_X_TOOLKIT=MOTIF ;; 9597 motif ) USE_X_TOOLKIT=MOTIF ;;
9539 gtk ) with_gtk=yes 9598 gtk ) with_gtk=yes
9540 USE_X_TOOLKIT=none ;; 9599 USE_X_TOOLKIT=none ;;
9541 no ) USE_X_TOOLKIT=none ;; 9600 no ) USE_X_TOOLKIT=none ;;
9542 * ) USE_X_TOOLKIT=maybe ;; 9601 * )
9602 if test x"$with_gtk" = xyes; then
9603 USE_X_TOOLKIT=none
9604 else
9605 USE_X_TOOLKIT=maybe
9606 fi
9607 ;;
9543 esac 9608 esac
9544 ;; 9609 ;;
9545 mac | none ) 9610 mac | none )
9546 HAVE_X_WINDOWS=no 9611 HAVE_X_WINDOWS=no
9547 HAVE_X11=no 9612 HAVE_X11=no
10972 11037
10973 HAVE_GTK=no 11038 HAVE_GTK=no
10974 if test "${with_gtk}" = "yes" && test "$USE_X_TOOLKIT" = "gtk"; then 11039 if test "${with_gtk}" = "yes" && test "$USE_X_TOOLKIT" = "gtk"; then
10975 USE_X_TOOLKIT=none 11040 USE_X_TOOLKIT=none
10976 fi 11041 fi
10977 if test "${with_gtk}" = "yes" || test "$USE_X_TOOLKIT" = "gtk"; then 11042 if test "${with_gtk}" = "yes" || test "$USE_X_TOOLKIT" = "gtk" || \
11043 test "$USE_X_TOOLKIT" = "maybe"; then
10978 if test "$USE_X_TOOLKIT" != "none" && test "$USE_X_TOOLKIT" != "maybe"; then 11044 if test "$USE_X_TOOLKIT" != "none" && test "$USE_X_TOOLKIT" != "maybe"; then
10979 { { echo "$as_me:$LINENO: error: Conflicting options, --with-gtk is incompatible with --with-x-toolkit=${with_x_toolkit}" >&5 11045 { { echo "$as_me:$LINENO: error: Conflicting options, --with-gtk is incompatible with --with-x-toolkit=${with_x_toolkit}" >&5
10980 echo "$as_me: error: Conflicting options, --with-gtk is incompatible with --with-x-toolkit=${with_x_toolkit}" >&2;} 11046 echo "$as_me: error: Conflicting options, --with-gtk is incompatible with --with-x-toolkit=${with_x_toolkit}" >&2;}
10981 { (exit 1); exit 1; }; }; 11047 { (exit 1); exit 1; }; };
10982 fi 11048 fi
11033 11099
11034 11100
11035 fi 11101 fi
11036 11102
11037 if test "$PKG_CONFIG" = "no" ; then 11103 if test "$PKG_CONFIG" = "no" ; then
11038 { { echo "$as_me:$LINENO: error: 11104 pkg_check_gtk=no
11039 *** The pkg-config script could not be found. Make sure it is in your path, or give the full path to pkg-config with the PKG_CONFIG environment variable or --with-pkg-config-prog. Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config." >&5
11040 echo "$as_me: error:
11041 *** The pkg-config script could not be found. Make sure it is in your path, or give the full path to pkg-config with the PKG_CONFIG environment variable or --with-pkg-config-prog. Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config." >&2;}
11042 { (exit 1); exit 1; }; }
11043 else 11105 else
11044 PKG_CONFIG_MIN_VERSION=0.9.0 11106 PKG_CONFIG_MIN_VERSION=0.9.0
11045 if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then 11107 if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
11046 { echo "$as_me:$LINENO: checking for $GTK_MODULES" >&5 11108 { echo "$as_me:$LINENO: checking for $GTK_MODULES" >&5
11047 echo $ECHO_N "checking for $GTK_MODULES... $ECHO_C" >&6; } 11109 echo $ECHO_N "checking for $GTK_MODULES... $ECHO_C" >&6; }
11068 GTK_CFLAGS="" 11130 GTK_CFLAGS=""
11069 GTK_LIBS="" 11131 GTK_LIBS=""
11070 ## If we have a custom action on failure, don't print errors, but 11132 ## If we have a custom action on failure, don't print errors, but
11071 ## do set a variable so people can do so. 11133 ## do set a variable so people can do so.
11072 GTK_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$GTK_MODULES"` 11134 GTK_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$GTK_MODULES"`
11073 echo $GTK_PKG_ERRORS 11135
11074 fi 11136 fi
11075 11137
11076 11138
11077 11139
11078 else 11140 else
11080 echo "*** See http://www.freedesktop.org/software/pkgconfig" 11142 echo "*** See http://www.freedesktop.org/software/pkgconfig"
11081 fi 11143 fi
11082 fi 11144 fi
11083 11145
11084 if test $succeeded = yes; then 11146 if test $succeeded = yes; then
11085 : 11147 pkg_check_gtk=yes
11086 else 11148 else
11087 { { echo "$as_me:$LINENO: error: Library requirements ($GTK_MODULES) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&5 11149 pkg_check_gtk=no
11088 echo "$as_me: error: Library requirements ($GTK_MODULES) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&2;} 11150 fi
11151
11152 if test "$pkg_check_gtk" = "no" && test "$USE_X_TOOLKIT" != "maybe"; then
11153 { { echo "$as_me:$LINENO: error: $GTK_PKG_ERRORS" >&5
11154 echo "$as_me: error: $GTK_PKG_ERRORS" >&2;}
11089 { (exit 1); exit 1; }; } 11155 { (exit 1); exit 1; }; }
11090 fi 11156 fi
11157 fi
11158
11159
11160 if test x"$pkg_check_gtk" = xyes; then
11091 11161
11092 11162
11093 11163
11094 C_SWITCH_X_SITE="$C_SWITCH_X_SITE $GTK_CFLAGS" 11164 C_SWITCH_X_SITE="$C_SWITCH_X_SITE $GTK_CFLAGS"
11095 CFLAGS="$CFLAGS $GTK_CFLAGS" 11165 CFLAGS="$CFLAGS $GTK_CFLAGS"
11188 GTK_COMPILES=yes 11258 GTK_COMPILES=yes
11189 fi 11259 fi
11190 done 11260 done
11191 11261
11192 if test "${GTK_COMPILES}" != "yes"; then 11262 if test "${GTK_COMPILES}" != "yes"; then
11193 { { echo "$as_me:$LINENO: error: Gtk+ wanted, but it does not compile, see config.log. Maybe some x11-devel files missing?" >&5 11263 if test "$USE_X_TOOLKIT" != "maybe"; then
11264 { { echo "$as_me:$LINENO: error: Gtk+ wanted, but it does not compile, see config.log. Maybe some x11-devel files missing?" >&5
11194 echo "$as_me: error: Gtk+ wanted, but it does not compile, see config.log. Maybe some x11-devel files missing?" >&2;} 11265 echo "$as_me: error: Gtk+ wanted, but it does not compile, see config.log. Maybe some x11-devel files missing?" >&2;}
11195 { (exit 1); exit 1; }; }; 11266 { (exit 1); exit 1; }; };
11196 fi 11267 fi
11197 11268 else
11198 HAVE_GTK=yes 11269 HAVE_GTK=yes
11199 11270
11200 cat >>confdefs.h <<\_ACEOF 11271 cat >>confdefs.h <<\_ACEOF
11201 #define HAVE_GTK 1 11272 #define HAVE_GTK 1
11202 _ACEOF 11273 _ACEOF
11203 11274
11204 USE_X_TOOLKIT=none 11275 USE_X_TOOLKIT=none
11276 fi
11277
11278 fi
11279
11280
11281 if test "${HAVE_GTK}" = "yes"; then
11205 11282
11206 if test "$with_toolkit_scroll_bars" != no; then 11283 if test "$with_toolkit_scroll_bars" != no; then
11207 with_toolkit_scroll_bars=yes 11284 with_toolkit_scroll_bars=yes
11208 fi 11285 fi
11209 11286